package org.jeecg.modules.hotelorder.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.hotelorder.entity.HotelOrder;
import org.jeecg.modules.hotelorder.mapper.HotelOrderMapper;
import org.jeecg.modules.hotelorder.service.IHotelOrderService;
import org.jeecg.modules.hotelorderlog.entity.HotelOrderLog;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: hotel_order
 * @Author: jeecg-boot
 * @Date:   2024-09-11
 * @Version: V1.0
 */
@Service
public class HotelOrderServiceImpl extends ServiceImpl<HotelOrderMapper, HotelOrder> implements IHotelOrderService {

    @Override
    public HotelOrder getOrderOne(String id, String userId) {
        return baseMapper.getOrderOne(id, userId);
    }

    @Override
    public HotelOrder getOrderOne2(String id, String userId) {
        return baseMapper.getOrderOne2(id, userId);
    }

    @Override
    public HotelOrder getOrderOne3(String id, String userId) {
        return baseMapper.getOrderOne3(id, userId);
    }

    @Override
    public IPage<HotelOrder> getOrderLogPage(Page<HotelOrder> page, String userId, Integer type, String uid) {
        return baseMapper.getOrderLogPage(page, userId, type, uid);
    }

    @Override
    public IPage<HotelOrder> getShopWashOrderPage(Page<HotelOrder> page, String userId) {
        return baseMapper.getShopWashOrderPage(page, userId);
    }

    @Override
    public HotelOrder getOrderByUserIdById(String userId, String id) {
        return baseMapper.getOrderByUserIdById(userId, id);
    }
}
